---
- name: Copy file to remote clients
  hosts: all
  vars:
   srcfile: /home/iafzal/somefile
  tasks:
   
  - name: Copying file
    become: true
    copy:
     src: “{{ srcfile }}”
     dest: /tmp
     owner: iafzal
     group: iafzal
     mode: 0644